
#include "Server.h"
#include "version.h"


void Server::defineConnections() {
  ctk::setDMapFilePath(getName() + ".dmap");

  std::cout << "****************************************************************" << std::endl;
  std::cout << "*** Template server version " << AppVersion::major << "." << AppVersion::minor << "."
            << AppVersion::patch << std::endl;

  dev.connectTo(cs, periodicRead.tick);
  findTag(".*").connectTo(cs);

  dumpConnections();
  //dumpConnectionGraph();
  //dumpGraph();
  //dumpModuleGraph("module-graph.dot");
}

